###################################################
### chunk number 1: 
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(5.1, 4.1, 1.1, 2.1))))


###################################################
### chunk number 2: 
###################################################
#get warmed up
library (mecdf, warn=FALSE)


###################################################
### chunk number 3: 
###################################################
#simulated data
x1 = runif (10)
x2 = runif (10)
x = cbind (x1, x2)


###################################################
### chunk number 4: 
###################################################
#fit the model
m = mecdf (x)
m


###################################################
### chunk number 5: 
###################################################
m (c (0.5, 0.5) )


###################################################
### chunk number 6: 
###################################################
plot (m)


###################################################
### chunk number 7: 
###################################################
plotbcdf (m, simple=FALSE)


###################################################
### chunk number 8: 
###################################################
m = mecdf (x1)
plot (m)
points (x1, m (x1), pch=16, cex=1.5)


###################################################
### chunk number 9: 
###################################################
m = mecdf (x, continuous=TRUE)
plotbcdf (m, simple=FALSE)


###################################################
### chunk number 10: 
###################################################
m = mecdf (x, continuous=TRUE, project=TRUE)
plotbcdf (m, simple=FALSE)


###################################################
### chunk number 11: 
###################################################
#get warmed up...
library (mvtnorm, warn=FALSE)


###################################################
### chunk number 12: 
###################################################
#create a function, to plot the distributions
normal.plot = function (cor=0, res=16, rng=c (-3.5, 3.5) )
{	x1 = x2 = seq (rng [1], rng [2], length=res)
	m = matrix (numeric (), nr=res, nc=res)
	for (i in 1:res) for (j in 1:res)
		m [i, j] = pmvnorm (c (-Inf, -Inf), c (x1 [i], x2 [j]),
			sigma=matrix (c (1, cor, cor, 1), nr=2) )
	bcdfplot (m)
}


###################################################
### chunk number 13: 
###################################################
normal.plot(0)


###################################################
### chunk number 14: 
###################################################
normal.plot (1)


###################################################
### chunk number 15: 
###################################################
normal.plot (-1)


###################################################
### chunk number 16: 
###################################################
#another convenience function
normal.sim = function (n=1, cor=0)
	rmvnorm (n, c (0, 0), matrix (c (1, cor, cor, 1), nr=2) )

m0 = mecdf (normal.sim (120, 0) )
mpos = mecdf (normal.sim (120, 1) )
mneg = mecdf (normal.sim (120, -1) )


###################################################
### chunk number 17: 
###################################################
bcdfplot (m0)


###################################################
### chunk number 18: 
###################################################
bcdfplot (mpos)


###################################################
### chunk number 19: 
###################################################
bcdfplot (mneg)


